<?php
/**
 * Loads Block Editor functions for Coaching Pro theme.
 *
 * @since 1.4.0
 *
 * @package Coaching Pro Theme
 */

// Enable Wide Blocks.
add_theme_support( 'align-wide' );

// Make media embeds responsive.
add_theme_support( 'responsive-embeds' );

// Define custom color palette for the Editor.
$coachpro_colors = array(
	'editor-color-palette' => array(
		array(
			'name'  => __( 'Bright Red', 'coaching-pro' ),
			'slug'  => 'brightred',
			'color' => '#f03756',
		),
        array(
			'name'  => __( 'Dark Blue', 'coaching-pro' ),
			'slug'  => 'darkblue',
			'color' => '#26225f',
		),
        array(
			'name'  => __( 'Yellow', 'coaching-pro' ),
			'slug'  => 'yellow',
			'color' => '#ffd346',
		),
        array(
			'name'  => __( 'White', 'coaching-pro' ),
			'slug'  => 'white',
			'color' => '#ffffff',
		),
        array(
			'name'  => __( 'Black', 'coaching-pro' ),
			'slug'  => 'black',
			'color' => '#000000',
		),

	),
);

// Add the Block Editor Color Palette.
add_theme_support( 'editor-color-palette', $coachpro_colors['editor-color-palette'] );
